## org.apache.axis.security.simple
Class SimpleAuthenticatedUser

    java.lang.Object
      org.apache.axis.security.simple.SimpleAuthenticatedUser

All Implemented Interfaces:
  AuthenticatedUser

public class SimpleAuthenticatedUser
extends java.lang.Object
implements AuthenticatedUser

SimpleAuthenticatedUser is a trivial implementation of the AuthenticatedUser interface, for use with a default Axis installation and the SimpleSecurityProvider.

Author:
  Glen Daniels (gdaniels@apache.org)

Constructor Summary
`SimpleAuthenticatedUser(java.lang.String name)`

Method Summary
`java.lang.String` `getName()` Return a string representation of the user's name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAuthenticatedUser

    public SimpleAuthenticatedUser(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Return a string representation of the user's name.

  Specified by:
    `getName` in interface `AuthenticatedUser`
  Returns:
    the user's name as a String.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.